DKBSignDocs

API reference

PUTRequires Bearer token

Update a workflow model

/api/workflows/models/update/{model}

Changing signature_level on a completed model is company-admin only (403 SIGNATURE_LEVEL_ADMIN_ONLY).

Path parameters

FieldTypeDescription
model
Required
stringPath parameter model.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
stringModel name.
description
stringDescription.
signature_level
stringsimple or advanced.
e.g. "advanced"

Responses

StatusMeaning
200Success
401Missing or invalid Bearer token.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/workflows/models/update/model' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example","description":"example","signature_level":"advanced"}'

Response 200

json
{
  "data": {
    "id": 88,
    "name": "Contract ACME",
    "status": "in_progress",
    "model_id": 3,
    "client_id": 12
  }
}